#!/bin/sh
# $Id: install-cserver-dic.sh,v 1.1 2001/01/04 12:16:31 hiroaki Exp $
#
INSTALL_DIR="/boot/home/config"
#
COMMAND="$INSTALL_DIR/bin/cWnn4/cwnntouch"
DIC_FILES="./lib/wnn/zh_CN/dic/sys/QianMa.dic \
	./lib/wnn/zh_CN/dic/sys/WuBi.dic \
	./lib/wnn/zh_CN/dic/sys/basic.dic \
	./lib/wnn/zh_CN/dic/sys/computer.dic \
	./lib/wnn/zh_CN/dic/sys/cwnn.dic \
	./lib/wnn/zh_CN/dic/sys/full.con \
	./lib/wnn/zh_CN/dic/sys/full.conR \
	./lib/wnn/zh_CN/dic/sys/level_1.dic \
	./lib/wnn/zh_CN/dic/sys/level_2.dic \
	./lib/wnn/zh_TW/dic/sys/cns_ch.dic \
	./lib/wnn/zh_TW/dic/sys/cns_wd.dic \
	./lib/wnn/zh_TW/dic/sys/full.con \
	./lib/wnn/zh_TW/dic/sys/full.conR"

if [ ! -x $COMMAND ]; then
    echo "Install cserver-base first!"
    exit 1
fi
/bin/unzip cserver-dic.zip -d $INSTALL_DIR
for f in $DIC_FILES
do
    $COMMAND $INSTALL_DIR/$f
done
echo "Install completed."
